Get available connectors
Base URL
https://{kibana_url}
GET
/api/workflows/connectors
GET
/s/{space_id} /api/workflows/connectors
Auth
Retrieve the Kibana action connectors that can be used in workflow steps, grouped by connector type. Each type includes its configured instances and availability status.
Privileges
workflowsManagement:read
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
200
Indicates a successful response
application/json
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Request
Console
1 / 2 languages
‹
›
1
GET kbn://api/workflows/connectors
1
2
3
curl \
-X GET "${KIBANA_URL}/api/workflows/connectors" \
-H "Authorization: ApiKey ${API_KEY}"
Response
Example response with available connector types and their instances
Show more
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
{
"connectorTypes": {
".email": {
"actionTypeId": ".email",
"displayName": "Email",
"enabled": true,
"enabledInConfig": true,
"enabledInLicense": true,
"instances": [],
"minimumLicenseRequired": "gold",
"subActions": [
{
"displayName": "Send",
"name": "send"
}
]
},
".slack_api": {
"actionTypeId": ".slack_api",
"displayName": "Slack",
"enabled": true,
"enabledInConfig": true,
"enabledInLicense": true,
"instances": [
{
"id": "slack-connector-1",
"isDeprecated": false,
"isPreconfigured": false,
"name": "Team Notifications"
}
],
"minimumLicenseRequired": "gold",
"subActions": [
{
"displayName": "Post Message",
"name": "postMessage"
}
]
}
},
"totalConnectors": 1
}